BaseXMLWriter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.xml.BaseXMLWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xml
Class BaseXMLWriter

    java.lang.Object
      org.biojava.bio.program.xml.BaseXMLWriter

    public class BaseXMLWriter

extends Object

Base XMLWriter class for writing XML representations of Java Value Objects with bespoke architectures. Currently reporting QNames for all attribute values as a fix for needing to defining namespaces by attributes with QNames. This may not be ideal.

Copyright © 2000 Cambridge Antibody Technology. All Rights Reserved.

Primary author -

- Simon Brocklehurst (CAT)

Other authors -

- Tim Dilks (CAT)
- Colin Hardman (CAT)
- Stuart Johnston (CAT)

Version:
  1.01
Author:
  Cambridge Antibody Technology (CAT), Greg Cox

Constructor Summary
`BaseXMLWriter()`

Method Summary
`String` | `endElement()`
`String` | `indent()`
`String` | `nl()`
`String` | `startElement(String string)`
`String` | `startElement(String string, Attributes attributes)`
`String` | `writeEmptyElement(String string)`
`String` | `writeEmptyElement(String string, Attributes attributes)`
`String` | `writeHeader()`
`String` | `writePCData(String poPCData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseXMLWriter

    public BaseXMLWriter()

Method Detail

### endElement

    public String endElement()

### indent

    public String indent()

### nl

    public String nl()

### startElement

    public String startElement(String string)

### startElement

    public String startElement(String string,
                               Attributes attributes)

### writeEmptyElement

    public String writeEmptyElement(String string)

### writeEmptyElement

    public String writeEmptyElement(String string,
                                    Attributes attributes)

### writeHeader

    public String writeHeader()

### writePCData

    public String writePCData(String poPCData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD